using System;
using System.Collections.Generic;
using System.Text;
using System.Data;
using System.Data.OleDb;
namespace BLL
{
   public class BLLemployee
    {
        private static readonly DAL.DALemployee getEmployee = new DAL.DALemployee();
       

        #region 插入
        public static void Insert(MODEL.Employee emp)
        {
           
            getEmployee.Insert(emp);
        }
        #endregion


        #region 更新
       public static void Update(MODEL.Employee emp)
        {

            getEmployee.Update(emp);
        }
        #endregion

        #region 删除
       public void Delete(MODEL.Employee emp)
        {
            getEmployee.Delete(emp);

        }
        #endregion
 


       #region select
       public static DataSet getEmp(string empName)
       {
           return getEmployee.getEmp(empName); 
       }
       public static DataSet getEmp(int id)
       {
           return getEmployee.getEmp(id);
       }

       public static DataSet OnLine()
       {
           return getEmployee.OnLine();
       }
       /// <summary>
       /// 重载两个方法到员工MODEL
       /// </summary>
       /// <param name="id"></param>
       /// <returns></returns>
       public static MODEL.Employee getMobile(int id)
       {
           return getEmployee.getModel(id);
       }
       public static MODEL.Employee getMobile(string name)
       {
           return getEmployee.getModel(name);
       }
        #endregion
    }
}
